package com.example.useinstacestate;

import android.os.PersistableBundle;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.TextView;

import java.util.Date;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        // 前回Activityが破棄された際に保存した値がある場合は
        // その値をTextViewにセットする
        if(savedInstanceState != null && savedInstanceState.getString("EDITTEXT_KEY") != null){
            TextView view = (TextView)findViewById(R.id.textView1);
            view.setText(savedInstanceState.getString("EDITTEXT_KEY"));
        }
    }

    @Override
    protected void onSaveInstanceState(Bundle saveInstance) {
        super.onSaveInstanceState(saveInstance);
        TextView view = (TextView)findViewById(R.id.textView1);
        saveInstance.putString("EDITTEXT_KEY", view.getText().toString());
    }
}
