package com.example.useasynctaskloader;

import android.content.Context;
import android.support.v4.content.AsyncTaskLoader;
import android.util.Log;

public class AsyncLoader extends AsyncTaskLoader<String> {

    public AsyncLoader(Context context){
        super(context);
    }

    @Override
    public String loadInBackground() {
        for (int i = 0; i < 10; ++i) {
            if (!isLoadInBackgroundCanceled()) {
                // キャンセルされていない：ロード処理を行う
            } else {
                // キャンセルされている：ロード処理を停止する
                return null;
            }
        }
        return "sucess";
    }

    @Override
    protected void onStartLoading() {
        super.onStartLoading();
        forceLoad();
    }

    @Override
    protected void onStopLoading() {
        super.onStopLoading();
        // ここに終了処理を実装しない
        cancelLoad();
    }
}
