package com.example.useasynctaskloader;

import android.content.Context;
import android.support.v4.app.LoaderManager;
import android.support.v4.content.AsyncTaskLoader;
import android.support.v4.content.Loader;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;

public class MainActivity extends AppCompatActivity implements LoaderManager.LoaderCallbacks<String> {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        getSupportLoaderManager().restartLoader(1, null, this);
    }

    @Override
    public Loader<String> onCreateLoader(int id, Bundle args) {
        return new AsyncLoader(getApplicationContext());
    }

    @Override
    public void onLoadFinished(Loader<String> loader, String data) {
        // UI処理を実装し、ロード内容を反映する
    }

    @Override
    public void onLoaderReset(Loader<String> loader) {
    }
}
