package com.example.usecursorloader;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class MyDBHelper extends SQLiteOpenHelper {
    // データベース名やテーブル名などの設定
    private static final String DB_FILE_NAME = "mydb";
    public static final String TABLE_NAME = "mytable";
    public static final String COLUMN_ID = "_id";
    public static final String COLUMN_NAME = "name";

    public MyDBHelper(Context context) {
        super(context, DB_FILE_NAME, null, 1);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        // 初期化時のテーブル生成処理
        db.execSQL("CREATE TABLE " + TABLE_NAME
                + "(" + COLUMN_ID + " INTEGER primary key autoincrement, "
                + COLUMN_NAME + " TEXT);"
        );
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }
}
