package com.example.sqlciphersample;

import android.content.Context;

import net.sqlcipher.database.SQLiteDatabase;
import net.sqlcipher.database.SQLiteOpenHelper;

public class CipherDbHelper extends SQLiteOpenHelper{
    // コンストラクタ
    public CipherDbHelper(Context context) {
        super(context, "crypted.db", null, 1);
    }

    // データベース生成の初回のみ呼ばれるメソッド
    @Override
    public void onCreate(SQLiteDatabase db) {
        // テーブル生成
        db.execSQL("create table secret_data (" +
                "_id integer primary key autoincrement, " +
                "crypted_data text)");
    }

    // データベースのバージョンが変わった際に呼ばれるメソッド。今回は未使用
    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }
}
