package com.example.usefragmentinstacestate;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

public class FragmentTest extends Fragment {
    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        Log.v("FragmentTest", "onCreateView");
        final View root = inflater.inflate(R.layout.fragment_main, container);
        root.findViewById(R.id.button).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                TextView text = (TextView)root.findViewById(R.id.textView1);
                text.setText("change");
            }
        });

        if(savedInstanceState != null && savedInstanceState.getString("EDITTEXT_KEY") != null){
            Log.v("FragmentTest", "savedInstanceState値をセット");
            TextView view = (TextView)root.findViewById(R.id.textView1);
            view.setText(savedInstanceState.getString("EDITTEXT_KEY"));
        }

        return root;
    }

    @Override
    public void onSaveInstanceState(Bundle savedInstanceState) {
        super.onSaveInstanceState(savedInstanceState);
        TextView view = (TextView)getView().findViewById(R.id.textView1);
        Log.v("FragmentTest", "savedInstanceStateに値を保存");
        savedInstanceState.putString("EDITTEXT_KEY", view.getText().toString());
    }
}
