package com.example.userangerequest;

import android.os.AsyncTask;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        // ボタンクリックで通信開始、画像をレジュームダウンロードする
        findViewById(R.id.button).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // 非同期で通信を行う
                (new AsyncTask<Void, Void, Void>(){
                    @Override
                    protected Void doInBackground(Void... params) {
                        // アプリ領域内にファイルを保存
                        String filePath = getFilesDir() + "/image001.png";
                        Utils.resumeDownload("http://myserver/fileDownload", filePath);
                        return null;
                    }
                }).execute();
            }
        });
    }
}
