package com.example.usejobscheduler;

import android.app.job.JobParameters;
import android.app.job.JobService;
import android.os.AsyncTask;
import android.util.Log;
import android.widget.Toast;

public class MyJobService extends JobService {
    private static final String TAG = MyJobService.class.getSimpleName();

    @Override
    public boolean onStartJob(JobParameters params) {
        final JobParameters mJobParam = params;
        final int id = params.getJobId();
        // AsyncTaskやThreadなどで非同期処理をおこなう
        new Thread(new Runnable(){
            @Override
            public void run() {
                // 行いたい処理を記載する

                // jobの完了処理
                jobFinished(mJobParam, false);
                Log.v(TAG, "finish job id = " + id);
            }
        }).start();
        return true;
    }

    @Override
    public boolean onStopJob(JobParameters params) {
        return false;
    }
}
