package com.example.useencryption;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class DatabaseHelper extends SQLiteOpenHelper {
    // コンストラクタ
    public DatabaseHelper(Context context){
        super(context, "crypted.db", null, 1);
    }

    // データベース生成の初回のみ呼ばれるメソッド
    @Override
    public void onCreate(SQLiteDatabase db) {
        // テーブル生成
        db.execSQL("create table secret_data (" +
                "_id integer primary key autoincrement, " +
                "crypted_data blob)"
        );
    }

    // データベースのバージョンが変わった際に呼ばれるメソッド。今回は未使用
    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }
}
