package com.example.presenterpattern.presenter;

import com.example.presenterpattern.model.MainBusinessLogic;

public class MainPresenter {
    private MainPresenterCallback callback;
    public MainPresenter(MainPresenterCallback callback) {
        this.callback = callback;
    }
    public void convert(final String zipCode) {
        new MainBusinessLogic().convertLogic(callback, zipCode);
    }
}
